<?php
return array
(
    'list' => array
    (
        'field'      => array
        (
            'name',
            'level',
            'price',
            'pay',

            'status' => array
            (
                'type' => 'switch',
                'show'  => '{status}',
                'active_value' => 1,
                'inactive_value' => 2,
            ),
        ),
        'button' => array
        (
            '新增' => array('add'),
        ),
        'data_button' => array
        (
            '编辑' => 'edit',
        ),
        'search'    => array
        (
            'name',
        ),
    ),
    'update' => array
    (
        'tab' => array
        (
            '基本信息' => 'name,level,price,pay,content',
            '权益设置' => 'vip_fee,agent_fee,place/agent_price',
        ),
        'field'    => array
        (
            'name' => array
            (
                'rules' => true,
            ),
            'level' => array
            (
                'rules' => true,
                'desc' => '将按照等级数字正序排序',
            ),
            'price' => array
            (
                'rules' => true,
            ),
            'pay' => array
            (
                'type' => 'radio',
                'rules' => true,
                'tips' => '差额支付：如用户已是等级1的代理，购买等级2时会自动减去等级1已支付的金额<br />全额支付：根据代理价格全额支付',
            ),
            'content' => array
            (
                'type' => 'textarea',
                //'rows' => 4,
                'autosize' => array('minRows' => 4),
            ),

            'vip_fee' => array
            (
                'desc' => '会员价格*佣金比例%=代理佣金 如：代理佣金填写为10，则代理佣金=会员价格*10%',
                'placeholder' => '会员价格*佣金比例%=代理佣金',
            ),

            'agent_fee' => array
            (
                'desc' => '代理价格*佣金比例%=代理佣金 如：代理佣金填写为10，则代理佣金=代理价格*10%',
                'placeholder' => '代理价格*佣金比例%=代理佣金',
            ),

            'place/agent_price' => array
            (
                'name' => '资源默认折扣',
                'where'  => array('agent_id' => 'id'),
                'desc' => '设置购买资源的默认折扣和代理佣金比例，如果资源里单独设置了“代理折扣/价格”或者“代理佣金”，此处相应的设置将失效',
                'default' => Dever::load('manage', 'place')->getResourceDefault(array('per' => '')),
            ),
        ),
    ),
);