<?php
return array
(
    'menu' => array
    (
        # 账户
        'sector_place' => array
        (
            'parent'    => 'sector_user',
            'name'      => '身份管理',
            'icon'      => 'group-2-line',
            'sort'      => '100',
        ),

        'place' => array
        (
            'parent'    => 'sector_place',
            'name'      => '身份列表',
            'icon'      => 'apps-line',
            'sort'      => '1',
        ),

        'account' => array
        (
            'parent'    => 'sector_place',
            'name'      => '支付账户',
            'icon'      => 'contacts-line',
            'sort'      => '2',
        ),

        'account_cert' => array
        (
            'parent'    => 'sector_place',
            'name'      => '账户证书',
            'icon'      => 'contacts-line',
            'sort'      => '3',
            'show'      => 3,
        ),

        # 客户
        'member_manage' => array
        (
            'parent'    => 'sector_place_member',
            'name'      => '用户管理',
            'icon'      => 'folder-user-line',
            'sort'      => '100',
        ),

        'member' => array
        (
            'parent'    => 'member_manage',
            'name'      => '用户列表',
            'icon'      => 'user-3-line',
            'sort'      => '1',
        ),

        'member_vip' => array
        (
            'parent'    => 'member_manage',
            'name'      => '会员列表',
            'icon'      => 'vip-line',
            'sort'      => '2',
        ),

        'member_agent' => array
        (
            'parent'    => 'member_manage',
            'name'      => '代理列表',
            'icon'      => 'vip-crown-2-line',
            'sort'      => '3',
        ),

        'member_agent_child' => array
        (
            'parent'    => 'member_manage',
            'name'      => '代理下级列表',
            'icon'      => 'vip-crown-2-line',
            'sort'      => '4',
            'show'      => 3,
        ),

        # 配置
        'set_manage' => array
        (
            'parent'    => 'sector_place_set',
            'name'      => '基础配置',
            'icon'      => 'settings-5-line',
            'sort'      => '100',
        ),

        'info' => array
        (
            'parent'    => 'set_manage',
            'name'      => '身份设置',
            'icon'      => 'file-user-line',
            'sort'      => '1',
            'path'      => 'update',
        ),

        'vip' => array
        (
            'parent'    => 'set_manage',
            'name'      => '会员设置',
            'icon'      => 'user-follow-line',
            'sort'      => '2',
        ),

        'agent' => array
        (
            'parent'    => 'set_manage',
            'name'      => '代理设置',
            'icon'      => 'user-star-line',
            'sort'      => '3',
        ),

        # 销售渠道
        'seller_manage' => array
        (
            'parent'    => 'sector_place_channel',
            'name'      => '销售渠道',
            'icon'      => 'e-bike-2-line',
            'sort'      => '1',
        ),

        'seller' => array
        (
            'parent'    => 'seller_manage',
            'name'      => '网店列表',
            'icon'      => 'file-shield-2-line',
            'sort'      => '1',
        ),

        # 供应商渠道
        'supplier_manage' => array
        (
            'parent'    => 'sector_place_channel',
            'name'      => '供应商渠道',
            'icon'      => 'earth-line',
            'sort'      => '100',
        ),

        'supplier' => array
        (
            'parent'    => 'supplier_manage',
            'name'      => '供应商列表',
            'icon'      => 'earthquake-line',
            'sort'      => '1',
        ),
    ),
);