<?php
return array
(
    'name' => '内容分类表',
    'partition' => 'Dever::call("manage/common.system")',
    'order' => 'sort asc',
    'struct' => array
    (
        'name' => array
        (
            'name'      => '分类名称',
            'type'      => 'varchar(32)',
        ),
        'parent_id' => array
        (
            'name'      => '上级分类',
            'type'      => 'int(11)',
            'default'   => '0',
        ),
        'key' => array
        (
            'name'      => '分类标识',
            'type'      => 'varchar(80)',
        ),
        'desc' => array
        (
            'name'      => '分类介绍',
            'type'      => 'varchar(800)',
        ),
        'icon' => array
        (
            'name'      => '分类图标',
            'type'      => 'varchar(150)',
        ),
        'status' => array
        (
            'name'      => '状态',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '上架',
                2 => '下架',
            ),
        ),
        'sort' => array
        (
            'name'      => '排序',
            'type'      => 'int(11)',
            'default'   => '1',
        ),
    ),
    'default' => array
    (
        'field' => 'name,`key`,cdate',
        'value' => array
        (
            '"默认分类","default",' . DEVER_TIME,
        ),
        'num' => 1,
    ),
);