<?php
return array
(
    'name' => '内容支付订单表',
    'partition' => 'Dever::call("manage/common.system")',
    'struct' => array
    (
        'info_id' => array
        (
            'name'      => '商品ID',
            'type'      => 'int(11)',
        ),

        'uid'       => array
        (
            'type'      => 'int(11)',
            'name'      => '用户',
        ),

        'name'      => array
        (
            'type'      => 'varchar(80)',
            'name'      => '订单名称',
        ),

        'order_num'        => array
        (
            'type'      => 'varchar(60)',
            'name'      => '订单号',
        ),

        'cash'      => array
        (
            'type'      => 'decimal(11,2)',
            'name'      => '订单金额',
        ),

        'num'      => array
        (
            'type'      => 'decimal(11,2)',
            'name'      => '订单数量',
        ),

        'status'        => array
        (
            'type'      => 'tinyint(1)',
            'name'      => '订单状态',
            'default'   => '1',
            'value'         => array
            (
                1 => '待支付',
                2 => '已完成',
                3 => '已取消',
            ),
        ),

        'pdate'       => array
        (
            'type'      => 'int(11)',
            'name'      => '付款时间',
        ),
    ),

    'index' => array
    (
        'search' => 'uid',
    ),
);
