<?php
return array
(
    'name' => '商品表',
    'partition' => 'Dever::call("manage/common.system")',
    'order' => 'sort asc',
    'struct' => array
    (
        'name' => array
        (
            'name'      => '名称',
            'type'      => 'varchar(32)',
        ),

        'info' => array
        (
            'name'      => '简介',
            'type'      => 'varchar(800)',
        ),

        'pic' => array
        (
            'name'      => '主图',
            'type'      => 'varchar(8000)',
        ),

        'cate' => array
        (
            'name'      => '分类',
            'type'      => 'varchar(50)',
        ),

        'cate_parent_id' => array
        (
            'name'      => '父级分类',
            'type'      => 'int(11)',
        ),

        'cate_child_id' => array
        (
            'name'      => '子分类',
            'type'      => 'int(11)',
        ),

        'sort' => array
        (
            'name'      => '排序序号',
            'type'      => 'int(11)',
            'default'   => '1',
        ),

        'content'       => array
        (
            'name'      => '内容',
            'type'      => 'text',
        ),

        'spec_type' => array
        (
            'name'      => '规格类型',
            'type'      => 'tinyint(1)',
            'default'   => 2,
            'value'     => array
            (
                //1 => '免费',
                2 => '单规格',
                3 => '多规格',
            ),
        ),
        
        'status' => array
        (
            'name'      => '状态',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '上架',
                2 => '下架',
            ),
        ),

        'source' => array
        (
            'name'      => '来源',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '录入',
                2 => '源小货',
            ),
        ),
    ),
);