<?php
return array
(
    'name' => '商品退款单表',
    'partition' => 'Dever::call("manage/common.system")',
    'struct' => array
    (
        'order_id'       => array
        (
            'type'      => 'int(11)',
            'name'      => '订单ID',
        ),

        'cash'      => array
        (
            'type'      => 'decimal(11,2)',
            'name'      => '退款金额',
        ),

        'desc'      => array
        (
            'type'      => 'varchar(200)',
            'name'      => '申请说明',
        ),

        'audit_desc'      => array
        (
            'type'      => 'varchar(200)',
            'name'      => '审核备注',
        ),

        'type' => array
        (
            'name'      => '类型',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '退货退款',
                2 => '仅退款',
            ),
        ),

        'desc_type' => array
        (
            'name'      => '申请原因',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '不想要了',
                2 => '不喜欢、效果不好',
                3 => '货物与描述不符',
                4 => '收到商品少件',
                5 => '商品破损或污渍',
                6 => '发错货',
                7 => '假冒品牌',
                8 => '其他原因',
            ),
        ),

        'refund_status' => array
        (
            'name'      => '退款状态',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '退款有效',
                2 => '退款无效',
            ),
        ),

        'status' => array
        (
            'name'      => '状态',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '申请中',
                2 => '已审核',
                3 => '已退货',
                4 => '已退款',
                5 => '已驳回',
            ),
        ),

        'sdate'       => array
        (
            'type'      => 'int(11)',
            'name'      => '审核时间',
        ),

        'ddate'       => array
        (
            'type'      => 'int(11)',
            'name'      => '发货时间',
        ),

        'fdate'       => array
        (
            'type'      => 'int(11)',
            'name'      => '完成时间',
        ),
    ),
);
