<?php
return array
(
    'name' => '商品库存记录表',
    'partition' => 'Dever::call("manage/common.system")',
    'struct' => array
    (
        'stock_id' => array
        (
            'name'      => '商品库存id',
            'type'      => 'int(11)',
        ),

        'info_id' => array
        (
            'name'      => '商品ID',
            'type'      => 'int(11)',
        ),

        'sku_id'        => array
        (
            'type'      => 'int(11)',
            'name'      => '价格ID',
        ),

        'type'        => array
        (
            'type'      => 'tinyint(1)',
            'name'      => '类型',
            'default'   => '1',
            'value'         => array
            (
                1 => '入库',
                2 => '出库',
            ),
        ),

        'desc'      => array
        (
            'type'      => 'varchar(50)',
            'name'      => '描述',
        ),

        'num'      => array
        (
            'type'      => 'decimal(11,2)',
            'name'      => '数量',
        ),

        'yue'      => array
        (
            'type'      => 'decimal(11,2)',
            'name'      => '库存余额',
        ),
    ),
);
