<?php
return array
(
    'name' => '代理支付订单表',
    'partition' => 'Dever::call("manage/common.system")',
    'struct' => array
    (
        'agent_id'        => array
        (
            'type'      => 'int(11)',
            'name'      => '代理ID',
        ),

        'uid'       => array
        (
            'type'      => 'int(11)',
            'name'      => '用户',
        ),

        'order_num'        => array
        (
            'type'      => 'varchar(60)',
            'name'      => '订单号',
        ),

        'cash'      => array
        (
            'type'      => 'decimal(11,2)',
            'name'      => '订单金额',
        ),

        'status'        => array
        (
            'type'      => 'tinyint(1)',
            'name'      => '订单状态',
            'default'   => '1',
            'value'         => array
            (
                1 => '待支付',
                2 => '已支付',
                3 => '已取消',
            ),
        ),

        'pdate'       => array
        (
            'type'      => 'int(11)',
            'name'      => '付款时间',
        ),
    ),
);
