<?php
return array
(
    'name' => '会员表',
    'partition' => 'Dever::call("manage/common.system")',
    'order' => 'level asc',
    'struct' => array
    (
        'name' => array
        (
            'name'      => '会员名称',
            'type'      => 'varchar(32)',
        ),

        'price' => array
        (
            'name'      => '会员价格',
            'type'      => 'decimal(11,2)',
        ),

        'day_desc' => array
        (
            'name'      => '会员时长',
            'type'      => 'varchar(32)',
        ),

        'day' => array
        (
            'name'      => '时长天数',
            'type'      => 'int(11)',
        ),

        'level' => array
        (
            'name'      => '会员等级',
            'type'      => 'int(11)',
            'default'   => 1,
        ),

        'content' => array
        (
            'name'      => '会员介绍',
            'type'      => 'varchar(2000)',
        ),

        'pay' => array
        (
            'name'      => '支付方式',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '差额支付',
                2 => '全额支付',
            ),
        ),
        
        'status' => array
        (
            'name'      => '会员状态',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '开启',
                2 => '禁用',
            ),
        ),
    ),
);